aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/doxygen/Doxyfile.core.internal6
-rwxr-xr-xtools/jenkins/run_distribution.sh109
-rw-r--r--tools/run_tests/sources_and_headers.json18
3 files changed, 66 insertions, 67 deletions
diff --git a/tools/doxygen/Doxyfile.core.internal b/tools/doxygen/Doxyfile.core.internal
index 31ad56a97c..3e578c171b 100644
--- a/tools/doxygen/Doxyfile.core.internal
+++ b/tools/doxygen/Doxyfile.core.internal
@@ -803,7 +803,7 @@ src/core/client_config/resolver.h \
src/core/client_config/resolver_factory.h \
src/core/client_config/resolver_registry.h \
src/core/client_config/resolvers/dns_resolver.h \
-src/core/client_config/resolvers/unix_resolver_posix.h \
+src/core/client_config/resolvers/sockaddr_resolver.h \
src/core/client_config/subchannel.h \
src/core/client_config/subchannel_factory.h \
src/core/client_config/uri_parser.h \
@@ -881,6 +881,7 @@ src/core/transport/stream_op.h \
src/core/transport/transport.h \
src/core/transport/transport_impl.h \
src/core/census/context.h \
+src/core/census/rpc_stat_id.h \
src/core/httpcli/format_request.c \
src/core/httpcli/httpcli.c \
src/core/httpcli/httpcli_security_connector.c \
@@ -922,7 +923,7 @@ src/core/client_config/resolver.c \
src/core/client_config/resolver_factory.c \
src/core/client_config/resolver_registry.c \
src/core/client_config/resolvers/dns_resolver.c \
-src/core/client_config/resolvers/unix_resolver_posix.c \
+src/core/client_config/resolvers/sockaddr_resolver.c \
src/core/client_config/subchannel.c \
src/core/client_config/subchannel_factory.c \
src/core/client_config/uri_parser.c \
@@ -1016,6 +1017,7 @@ src/core/transport/transport.c \
src/core/transport/transport_op_string.c \
src/core/census/context.c \
src/core/census/initialize.c \
+src/core/census/record_stat.c \
include/grpc/support/alloc.h \
include/grpc/support/atm.h \
include/grpc/support/atm_gcc_atomic.h \
diff --git a/tools/jenkins/run_distribution.sh b/tools/jenkins/run_distribution.sh
index 2824c31e2a..49b7d306d1 100755
--- a/tools/jenkins/run_distribution.sh
+++ b/tools/jenkins/run_distribution.sh
@@ -32,6 +32,17 @@
# linuxbrew installation of a selected language
set -ex
+# Our homebrew installation script command, per language
+# Can be used in both linux and macos
+if [ "$language" == "core" ]; then
+ command="curl -fsSL https://goo.gl/getgrpc | bash -"
+elif [[ "python nodejs ruby php" =~ "$language" ]]; then
+ command="curl -fsSL https://goo.gl/getgrpc | bash -s $language"
+else
+ echo "unsupported language $language"
+ exit 1
+fi
+
if [ "$platform" == "linux" ]; then
if [ "$dist_channel" == "homebrew" ]; then
@@ -42,15 +53,6 @@ if [ "$platform" == "linux" ]; then
# build docker image, contains all pre-requisites
docker build -t $DOCKER_IMAGE_NAME tools/jenkins/grpc_linuxbrew
- if [ "$language" == "core" ]; then
- command="curl -fsSL https://goo.gl/getgrpc | bash -"
- elif [[ "python nodejs ruby php" =~ "$language" ]]; then
- command="curl -fsSL https://goo.gl/getgrpc | bash -s $language"
- else
- echo "unsupported language $language"
- exit 1
- fi
-
# run per-language homebrew installation script
docker run $DOCKER_IMAGE_NAME bash -l \
-c "nvm use 0.12; \
@@ -66,80 +68,69 @@ if [ "$platform" == "linux" ]; then
elif [ "$platform" == "macos" ]; then
if [ "$dist_channel" == "homebrew" ]; then
- # system installed homebrew, don't interfere
+
+ echo "Formulas installed by system-wide homebrew (before)"
brew list -l
+ # Save the original PATH so that we can run the system `brew` command
+ # again at the end of the script
+ export ORIGINAL_PATH=$PATH
+
# Set up temp directories for test installation of homebrew
brew_root=/tmp/homebrew-test-$language
rm -rf $brew_root
mkdir -p $brew_root
git clone https://github.com/Homebrew/homebrew.git $brew_root
- # Install grpc via homebrew
- #
- # The temp $PATH env variable makes sure we are operating at the right copy of
- # temp homebrew installation, and do not interfere with the system's main brew
- # installation.
- #
- # TODO: replace the next section with the actual homebrew installation script
- # i.e. curl -fsSL https://goo.gl/getgrpc | bash -s $language
- # need to resolve a bunch of environment and privilege issue on the jenkins
- # mac machine itself
- OLD_PATH=$PATH
- PATH=$brew_root/bin:$PATH
- cd $brew_root
- brew tap homebrew/dupes
- brew install zlib
- brew install openssl
- brew tap grpc/grpc
- brew install --without-python google-protobuf
- brew install grpc
- brew list -l
+ # Make sure we are operating at the right copy of temp homebrew
+ # installation
+ export PATH=$brew_root/bin:$PATH
- # Install per-language modules/extensions on top of core grpc
- #
- # If a command below needs root access, the binary had been added to
- # /etc/sudoers. This step needs to be repeated if we add more mac instances
- # to our jenkins project.
- #
- # Examples (lines that needed to be added to /etc/sudoers):
- # + Defaults env_keep += "CFLAGS CXXFLAGS LDFLAGS enable_grpc"
- # + jenkinsnode1 ALL=(ALL) NOPASSWD: /usr/bin/pecl, /usr/local/bin/pip,
- # + /usr/local/bin/npm
+ # Set up right environment for each language
case $language in
- *core*) ;;
*python*)
- sudo CFLAGS=-I$brew_root/include LDFLAGS=-L$brew_root/lib pip install grpcio
- pip list | grep grpcio
- echo 'y' | sudo pip uninstall grpcio
+ rm -rf jenkins_python_venv
+ virtualenv jenkins_python_venv
+ source jenkins_python_venv/bin/activate
;;
*nodejs*)
- sudo CXXFLAGS=-I$brew_root/include LDFLAGS=-L$brew_root/lib npm install grpc
- npm list | grep grpc
- sudo npm uninstall grpc
+ export PATH=$HOME/.nvm/versions/node/v0.12.7/bin:$PATH
+ ;;
+ *ruby*)
+ export PATH=/usr/local/rvm/rubies/ruby-2.2.1/bin:$PATH
+ ;;
+ *php*)
+ export CFLAGS="-Wno-parentheses-equality"
+ ;;
+ esac
+
+ # Run our homebrew installation script
+ bash -c "$command"
+
+ # Uninstall / clean up per-language modules/extensions after the test
+ case $language in
+ *python*)
+ deactivate
+ rm -rf jenkins_python_venv
+ ;;
+ *nodejs*)
+ npm list -g | grep grpc
+ npm uninstall -g grpc
;;
*ruby*)
- gem install grpc -- --with-grpc-dir=$brew_root
gem list | grep grpc
gem uninstall grpc
;;
*php*)
- sudo enable_grpc=$brew_root CFLAGS="-Wno-parentheses-equality" pecl install grpc-alpha
- pecl list | grep grpc
- sudo pecl uninstall grpc
- ;;
- *)
- echo "Unsupported language $language"
- exit 1
+ rm grpc.so
;;
esac
- # clean up
- cd ~/
+ # Clean up
rm -rf $brew_root
- # Make sure the system brew installation is still unaffected
- PATH=$OLD_PATH
+ echo "Formulas installed by system-wide homebrew (after, should be unaffected)"
+ export PATH=$ORIGINAL_PATH
brew list -l
else
diff --git a/tools/run_tests/sources_and_headers.json b/tools/run_tests/sources_and_headers.json
index abddaab699..d6db928d2a 100644
--- a/tools/run_tests/sources_and_headers.json
+++ b/tools/run_tests/sources_and_headers.json
@@ -9849,6 +9849,7 @@
"include/grpc/status.h",
"src/core/census/context.h",
"src/core/census/grpc_context.h",
+ "src/core/census/rpc_stat_id.h",
"src/core/channel/census_filter.h",
"src/core/channel/channel_args.h",
"src/core/channel/channel_stack.h",
@@ -9867,7 +9868,7 @@
"src/core/client_config/resolver_factory.h",
"src/core/client_config/resolver_registry.h",
"src/core/client_config/resolvers/dns_resolver.h",
- "src/core/client_config/resolvers/unix_resolver_posix.h",
+ "src/core/client_config/resolvers/sockaddr_resolver.h",
"src/core/client_config/subchannel.h",
"src/core/client_config/subchannel_factory.h",
"src/core/client_config/uri_parser.h",
@@ -9977,6 +9978,8 @@
"src/core/census/grpc_context.c",
"src/core/census/grpc_context.h",
"src/core/census/initialize.c",
+ "src/core/census/record_stat.c",
+ "src/core/census/rpc_stat_id.h",
"src/core/channel/census_filter.h",
"src/core/channel/channel_args.c",
"src/core/channel/channel_args.h",
@@ -10011,8 +10014,8 @@
"src/core/client_config/resolver_registry.h",
"src/core/client_config/resolvers/dns_resolver.c",
"src/core/client_config/resolvers/dns_resolver.h",
- "src/core/client_config/resolvers/unix_resolver_posix.c",
- "src/core/client_config/resolvers/unix_resolver_posix.h",
+ "src/core/client_config/resolvers/sockaddr_resolver.c",
+ "src/core/client_config/resolvers/sockaddr_resolver.h",
"src/core/client_config/subchannel.c",
"src/core/client_config/subchannel.h",
"src/core/client_config/subchannel_factory.c",
@@ -10311,6 +10314,7 @@
"include/grpc/status.h",
"src/core/census/context.h",
"src/core/census/grpc_context.h",
+ "src/core/census/rpc_stat_id.h",
"src/core/channel/census_filter.h",
"src/core/channel/channel_args.h",
"src/core/channel/channel_stack.h",
@@ -10329,7 +10333,7 @@
"src/core/client_config/resolver_factory.h",
"src/core/client_config/resolver_registry.h",
"src/core/client_config/resolvers/dns_resolver.h",
- "src/core/client_config/resolvers/unix_resolver_posix.h",
+ "src/core/client_config/resolvers/sockaddr_resolver.h",
"src/core/client_config/subchannel.h",
"src/core/client_config/subchannel_factory.h",
"src/core/client_config/uri_parser.h",
@@ -10421,6 +10425,8 @@
"src/core/census/grpc_context.c",
"src/core/census/grpc_context.h",
"src/core/census/initialize.c",
+ "src/core/census/record_stat.c",
+ "src/core/census/rpc_stat_id.h",
"src/core/channel/census_filter.h",
"src/core/channel/channel_args.c",
"src/core/channel/channel_args.h",
@@ -10455,8 +10461,8 @@
"src/core/client_config/resolver_registry.h",
"src/core/client_config/resolvers/dns_resolver.c",
"src/core/client_config/resolvers/dns_resolver.h",
- "src/core/client_config/resolvers/unix_resolver_posix.c",
- "src/core/client_config/resolvers/unix_resolver_posix.h",
+ "src/core/client_config/resolvers/sockaddr_resolver.c",
+ "src/core/client_config/resolvers/sockaddr_resolver.h",
"src/core/client_config/subchannel.c",
"src/core/client_config/subchannel.h",
"src/core/client_config/subchannel_factory.c",